org.apache.maven.scm.provider.accurev

## Class AccuRevScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.accurev.AccuRevScmProviderRepository

-     public class AccuRevScmProviderRepository
      extends ScmProviderRepository

  Version:
    $Id: AccuRevScmProviderRepository.java 686195 2008-08-15 11:32:15Z vsiveton $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccuRevScmProviderRepository()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCheckoutMethod()`
    `String` | `getDepot()`
    `String` | `getHost()`
    `Map` | `getParams()`
    `int` | `getPort()`
    `String` | `getStreamName()`
    `String` | `getWorkspaceName()`
    `void` | `setCheckoutMethod(String checkoutMethod)`
    `void` | `setDepot(String depot)`
    `void` | `setHost(String host)`
    `void` | `setParams(Map params)`
    `void` | `setPort(int port)`
    `void` | `setStreamName(String streamName)`
    `void` | `setWorkspaceName(String workspaceName)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

      `getParent, getPassword, getRelativePath, getUser, isPersistCheckout, setPassword, setPersistCheckout, setUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AccuRevScmProviderRepository

          public AccuRevScmProviderRepository()

  - ### Method Detail

    - #### getDepot

          public String getDepot()

    - #### setDepot

          public void setDepot(String depot)

    - #### getStreamName

          public String getStreamName()

    - #### setStreamName

          public void setStreamName(String streamName)

    - #### getWorkspaceName

          public String getWorkspaceName()

    - #### setWorkspaceName

          public void setWorkspaceName(String workspaceName)

    - #### getHost

          public String getHost()

    - #### setHost

          public void setHost(String host)

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### getCheckoutMethod

          public String getCheckoutMethod()

    - #### setCheckoutMethod

          public void setCheckoutMethod(String checkoutMethod)

    - #### getParams

          public Map getParams()

    - #### setParams

          public void setParams(Map params)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2003–2015. All rights reserved.